Navigation: Up, Table of Contents, Bibliography, Index, Title Page

## CGAL::Qt_widget_history

### Definition

This class provides basic functionality to manipulate intervals of Qt_widget class. Qt_widget knows about the current visible area that is specified through an interval. The default one is (-1, 1, -1, 1). This class is mostly used by the Qt_widget_standard_toolbar to provide the backward and the forward navigation through the different intervals.

#include <CGAL/IO/Qt_widget_history.h>

### Inherits From

QObject

### Creation

Qt_widget_history history ( Qt_widget* parent, const char *name = 0);
| parent is the parent widget that has to be a Qt_widget and name is the name of the history. This will create a history object that can deal with the Qt_widget visualisation intervals. Each time the visible area will change, it's interval will be stored in the history list.

### public slots:

void | history.save () | This saves the widget visible area in the history list.
void | history.backward ()
|  | This goes back in the list of saved intervals.
void | history.forward () | This goes forward in the list of saved intervals.
void | history.clear () | This will clear the entire history list.

### signals:

void | history.backwardAvaillable ( bool)
void | history.forwardAvaillable ( bool)
|  | This two signals are emited when there are available items in the history list as regards to the current position in the list.

Next: Qt_help_window

Navigation: Table of Contents, Bibliography, Index, Title Page

The CGAL Project . Tue, December 21, 2004 .